#
# spec file for package automoc4
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://www.kde.org

Name:           automoc4
BuildRequires:  cmake
BuildRequires:  kde4-filesystem
BuildRequires:  libqt4-devel
Version:        0.9.88
Release:        lp150.2.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        CMake automatic MOC Generation
License:        MIT
Group:          Development/Tools/Building
Source0:        http://download.kde.org/stable/%{name}/%{version}/%name-%version.tar.bz2
Requires:       libqt4 >= %(rpm -q --queryformat '%%{VERSION}' libqt4)

%description
automoc4 is a tool to add rules for generating Qt moc files
automatically to projects that use CMake as the buildsystem.

%prep
%setup -q

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
/usr/bin/automoc4
%_libdir/automoc4

%changelog
* Thu Dec  7 2017 dimstar@opensuse.org
- Escape the usage of %%{VERSION} when calling out to rpm.
  RPM 4.14 has %%{VERSION} defined as 'the main packages version'.
* Wed Mar 20 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Tue Nov 20 2012 nico.kruber@gmail.com
- Fix the SLES build (%%make_install is not expanded on SLES)
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Sun Aug  7 2011 toddrme2178@gmail.com
- Removed test for obsolete openSUSE version
* Thu Jan 22 2009 dmueller@suse.de
- update to 0.9.88:
  * improved dep handling
* Mon Sep  8 2008 dmueller@suse.de
- fix requires for old distros
* Mon Aug 11 2008 dmueller@suse.de
- update to 0.9.87:
  * automoc4_add_library macro added
* Thu Aug  7 2008 dmueller@suse.de
- fix build after last change
* Thu Aug  7 2008 wstephenson@suse.de
- update to 0.9.84
  * no significant change
* Fri Jun 20 2008 dmueller@suse.de
- update to released tarball
  * no significant change
* Tue May 27 2008 dmueller@suse.de
- update to 813373:
  * fix issues with building moc files in parallel
* Fri May  2 2008 dmueller@suse.de
- Initial package
